<template>
  <div
    style="display: inline-block; font-size: .5em; position: relative; bottom: .25em;"
  >
    <b-icon-plus-circle-fill
      v-if="summary === 'FIXED'"
      variant="success"
      v-b-tooltip.hover
      :title="`An issue existing in the previous build was fixed!`"
    />
    <b-icon-check-circle-fill
      v-if="summary === 'PASS'"
      variant="success"
      v-b-tooltip.hover
      :title="`All tests passed!`"
    />
    <b-icon-question-circle-fill
      v-if="summary === 'INCONCLUSIVE'"
      variant="secondary"
      v-b-tooltip.hover
      :title="`Insufficient results to provide a conclusive summary.`"
    />
    <b-icon-exclamation-circle-fill
      v-if="summary === 'REGRESSION'"
      variant="danger"
      v-b-tooltip.hover
      :title="`An issue was found that did not exist in the previous build.`"
    />
    <b-icon-dash-circle-fill
      v-if="summary === 'STILL_FAILING'"
      variant="warning"
      v-b-tooltip.hover
      :title="`An issue that caused a previous build to fail is still present.`"
    />
    {{ summary }}
  </div>
</template>

<script>
export default {
  name: "BuildSummary",
  props: {
    summary: {
      type: String
    }
  }
};
</script>
